summaryrefslogtreecommitdiffstats
path: root/dracut/90zfs
diff options
context:
space:
mode:
authorManuel Amador (Rudd-O) <[email protected]>2011-04-06 09:52:58 -0700
committerBrian Behlendorf <[email protected]>2011-04-07 10:31:02 -0700
commit6583dcacdcca2aad7eaec51f31797a3533845099 (patch)
tree7fd03c0901fae70b22a796bd630803bc29b65a1a /dracut/90zfs
parent8610b52bd432b7c1eb3da5e67ce4820da82ae638 (diff)
Permit both mountpoint=legacy and mountpoint=/ in initrd
Signed-off-by: Brian Behlendorf <[email protected]>
Diffstat (limited to 'dracut/90zfs')
-rwxr-xr-xdracut/90zfs/mount-zfs.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/dracut/90zfs/mount-zfs.sh b/dracut/90zfs/mount-zfs.sh
index 6b742e348..9c753d9e4 100755
--- a/dracut/90zfs/mount-zfs.sh
+++ b/dracut/90zfs/mount-zfs.sh
@@ -6,5 +6,11 @@ if [ "$rootfs" = "zfs" ]; then
zfsrootfs=`echo "$root" | sed 's|^zfs:||'`
zfspool=`echo "$zfsrootfs" | sed 's|/.*||g'`
zpool import -N "$zfspool"
- mount -o zfsutil -t "$rootfs" "$zfsrootfs" "$NEWROOT" && ROOTFS_MOUNTED=yes
+ mount -o zfsutil -t "$rootfs" "$zfsrootfs" "$NEWROOT"
+ if [ "$?" = "0" ]
+ then
+ ROOTFS_MOUNTED=yes
+ else
+ mount -t "$rootfs" "$zfsrootfs" "$NEWROOT" && ROOTFS_MOUNTED=yes
+ fi
fi